000010*>
000020 IDENTIFICATION DIVISION.
000030 PROGRAM-ID.   ODBCDemo.
000040 AUTHOR.       AG-TECH Corp.
000041*------------------------------------------
000042* Actian Zen
000043* ODBC Demonstration Program
000044* xm NetCOBOL for Windows 
000045* Copyright (c) 2021 by AG-TECH CORP.
000046*------------------------------------------
000047 ENVIRONMENT    DIVISION.
000050 CONFIGURATION  SECTION.
000060 DATA DIVISION.
000070 WORKING-STORAGE SECTION.
000071      EXEC SQL BEGIN DECLARE SECTION END-EXEC.
000072 01 record-data.
000073   02 mainkey PIC S9(5).
000074   02 numericdata PIC S9(5).
000075   02 comp3data PIC S9(5) COMP-3.
000076   02 textdata PIC X(50).
000077 01 SQLSTATE PIC X(5).
000078      EXEC SQL END DECLARE SECTION END-EXEC.
000079 01 WS-A PIC S9(5) VALUE -99.
000080 PROCEDURE DIVISION.
000081*> Zen ւ̃f[^
000090      EXEC SQL CONNECT TO 'localhost' END-EXEC.
000091      PERFORM 200 TIMES
000099      	MOVE WS-A TO mainkey
000100      	MOVE WS-A TO numericdata
000101      	MOVE WS-A TO comp3data
000102          EXEC SQL
000103             INSERT INTO TEST VALUES (:mainkey,:numericdata,:comp3data,'eXgTest')
000104          END-EXEC
000105      	ADD 1 TO WS-A
000106      END-PERFORM.
000107      EXEC SQL COMMIT WORK END-EXEC.
000108*> Zen ̃f[^ǂݍ      
000109      EXEC SQL
000110			DECLARE CUR1 CURSOR FOR SELECT * FROM TEST ORDER BY MAINKEY
000111		END-EXEC.
000112      EXEC SQL OPEN CUR1 END-EXEC.
000113      PERFORM UNTIL SQLSTATE <> '00000' 
000114       EXEC SQL
000115			FETCH CUR1 INTO :record-data
000116		 END-EXEC
000117		 IF SQLSTATE = '00000'
000118       	DISPLAY "mainkey :" mainkey
000119       	DISPLAY "numericdata :" numericdata 
000120       	DISPLAY "comp3data :" comp3data 
000121       	DISPLAY "textdata :" textdata
000124       END-IF	
000125      END-PERFORM.    
000126      EXEC SQL CLOSE CUR1 END-EXEC.
000127      EXEC SQL DISCONNECT 'localhost' END-EXEC.
000128      
000130 END PROGRAM ODBCDemo.